## relion 3.1.0

=== src/jaz/gravis/io/array/CMakeLists.txt ===
set( install_files 
    a.h
    ArrayStreamIO.h
    le.h
    matlab.h
    networkByteOrder.h
    raw.h
  )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/io/array)
