=== src/jaz/gravis/io/image/CMakeLists.txt ===
set( install_files
    f.h
    )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/io/image)
