## relion 1.3+dfsg

=== debian/changelog ===
relion (1.3+dfsg-2) unstable; urgency=medium

  * Drop build-dep on openmpi-gcc
    Closes: #766821

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2014 07:40:11 +0100

relion (1.3+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #766324)

 -- Roland Fehrenbacher <rf@q-leap.de>  Thu, 23 Oct 2014 11:52:48 +0000

relion (0.0) stable; urgency=low

  * New repository

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 29 Jul 2014 14:11:18 +0200
