=== debian/control ===
Source: relion
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rf@q-leap.de>,
           Navid Fehrenbacher <nf@q-leap.de>,
           Goswin von Brederlow <brederlo@q-leap.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-exec (>=0.3),
               libfltk1.3-dev,
               libfftw3-dev,
               libopenmpi-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/relion.git
Vcs-Git: git://anonscm.debian.org/debian-med/relion.git
Homepage: http://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page

Package: relion-bin
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: relion-bin+mpi, relion-bin+gui, relion-bin+mpi+gui
Description: toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin provides the serial command-line tools

Package: relion-bin+mpi
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-gcc | openmpi-bin
Conflicts: relion-bin, relion-bin+gui, relion-bin+mpi+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+mpi provides the serial and parallel command-line tools based on
 OpenMPI.

Package: relion-bin+gui
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: relion-bin, relion-bin+mpi, relion-bin+mpi+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+gui provides the serial command-line tools and the graphical user
 interface.

Package: relion-bin+mpi+gui
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         openmpi-gcc | openmpi-bin
Conflicts: relion-bin, relion-bin+mpi, relion-bin+gui
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 relion-bin+mpi+gui provides the serial and parallel command-line tools as
 well as the graphical user interface.

Package: librelion-dev-common
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package including only the common header files.

Package: librelion-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion+mpi-dev, librelion+gui-dev, librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use without GUI and MPI.

Package: librelion+mpi-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion+mpi-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev, librelion+gui-dev, librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with MPI but without GUI.

Package: librelion+gui-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion+gui-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev, librelion+mpi-dev, librelion+mpi+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with GUI but without MPI.

Package: librelion+mpi+gui-dev
Architecture: i386 amd64
Section: libdevel
Depends: librelion+mpi+gui-1.3-1 (= ${binary:Version}),
         librelion-dev-common,
         ${misc:Depends}
Conflicts: librelion-dev, librelion+mpi-dev, librelion+gui-dev
Description: C++ API for RELION (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the developers API package for use with MPI and GUI.

Package: librelion-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion+mpi-1.3-1, librelion+gui-1.3-1, librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library.

Package: librelion+mpi-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion-1.3-1, librelion+gui-1.3-1, librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with MPI but without GUI.

Package: librelion+gui-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion-1.3-1, librelion+mpi-1.3-1, librelion+mpi+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with GUI but without MPI.

Package: librelion+mpi+gui-1.3-1
Architecture: i386 amd64
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: librelion-1.3-1, librelion+mpi-1.3-1, librelion+gui-1.3-1
Description: RELION dynnamic library (3D reconstructions in cryo-electron microscopy)
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions as well as a C++ API.
 .
 This is the runtime library for use with MPI and GUI.
