## relion 1.4+dfsg

=== debian/changelog ===
relion (1.4+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add watch file (and delete README.source that explains why there is no
    watch file)
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Restrict architectures to amd64 and i386
    Closes: #897239

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 14:10:42 +0200

relion (1.4+dfsg-3) unstable; urgency=medium
  
  * Team upload
  * d/control: Enable all archs, Closes: #873865
  * d/control: Update standards to 4.1.1 (no changes)

 -- Gert Wollny <gewo@debian.org>  Thu, 07 Dec 2017 10:27:59 +0100

relion (1.4+dfsg-2) unstable; urgency=medium

  [ Gert Wollny ]
  * Team upload.
  * d/p/0005: Correct compilation with gcc-6, Closes: #811641
  * d/p/0006: Correctly copy only 4 byte, corresponding to the
    target array size
  * d/control: Update standards version to 3.9.8

  [ Andreas Tille ]
  * hardening=+bindnow

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 29 Jun 2016 13:32:34 +0000

relion (1.4+dfsg-1) unstable; urgency=medium

  [ Roland Fehrenbacher ]
  * New upstream version 1.4
  * Bug fix: "file conflicts between librelion{+mpi}{+gui}-1.3-1{v5}
    packages", thanks to Ralf Treinen (Closes: #797825).

  [ Andreas Tille ]
  * Enable building architecture independant files separately
    Closes: #806103

 -- Roland Fehrenbacher <rf@q-leap.de>  Tue, 08 Dec 2015 19:04:50 +0100

relion (1.3+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Rename library packages for g++5 ABI transition.
    (Thanks for the patch to Iain Lane <iain@orangesquash.org.uk>)
    Closes: #791267

  [ Roland Fehrenbacher ]
  * Fix permissions of d/lib*.install files (needed for dh-exec) 

 -- Roland Fehrenbacher <rf@q-leap.de>  Mon, 24 Aug 2015 16:08:36 +0000
