=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 DEBVENDOR  := $(shell dpkg-vendor --query Vendor)
 
@@ -32,7 +34,7 @@
   --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 
@@ -70,8 +72,8 @@
 
 override_dh_auto_install:
 
-override_dh_install:
-	dh_install
+override_dh_install-arch:
+	dh_install -a
 	# relion_qsub.csh should just go to GUI d/examples
 	find debian/relion-bi*/usr/bin -name relion_qsub.csh -delete
