=== debian/watch ===
version=4

https://github.com/3dem/relion/releases .*/archive/(\d[\d.]+)@ARCHIVE_EXT@
