## relion 3.1.0

=== debian/changelog ===
relion (3.1.0-4) unstable; urgency=medium

  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: fluid

 -- Andreas Tille <tille@debian.org>  Wed, 07 Oct 2020 16:03:12 +0200

relion (3.1.0-3) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update to Standards-Version: 4.5.0
  * Rename available binary packages, since MPI support is now default.
    The MPI enabled binaries carry a suffix _mpi, serial versions are still
    available.
  * Dropped librelion* packages. No shared libraries are created by relion
    anymore.
  * Moved to dep14 layout to work directly with the upstream git repo (see
    README.source in the source archive).
  * Added a simple autopkgtest

 -- Roland Fehrenbacher <rfehren@debian.org>  Thu, 01 Oct 2020 10:37:37 +0200
