=== debian/control ===
Source: relion
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Roland Fehrenbacher <rfehren@debian.org>,
           Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfftw3-dev,
               libfltk1.3-dev,
               libopenmpi-dev,
               libtiff-dev,
               fluid
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/relion
Vcs-Git: https://salsa.debian.org/med-team/relion.git
Homepage: https://www2.mrc-lmb.cam.ac.uk/relion/index.php/Main_Page
Rules-Requires-Root: no

Package: relion
Architecture: amd64 i386
Depends: openmpi-gcc | openmpi-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: relion-bin,
        relion-bin+gui,
        relion-bin+mpi,
        relion-bin+mpi+gui,
Replaces: relion-bin,
          relion-bin+gui,
          relion-bin+mpi,
          relion-bin+mpi+gui,
Conflicts: relion-cuda,
Description: toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions, optionally with CUDA/GPU support.
 .
 relion provides the serial and parallel (MPI) command-line tools without
 CUDA/GPU support.

Package: relion-gui
Architecture: amd64 i386
Depends: openmpi-gcc | openmpi-bin,
         relion,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: relion-bin,
        relion-bin+gui,
        relion-bin+mpi,
        relion-bin+mpi+gui,
Replaces: relion-bin,
          relion-bin+gui,
          relion-bin+mpi,
          relion-bin+mpi+gui,
Conflicts: relion-cuda-gui,
Description: parallel toolkit for 3D reconstructions in cryo-electron microscopy
 RELION (for REgularised LIkelihood OptimisatioN) is a stand-alone
 computer program for Maximum A Posteriori refinement of (multiple) 3D
 reconstructions or 2D class averages in cryo-electron microscopy.
 .
 RELION provides a GUI, several command-line tools in parallel (MPI) and serial
 versions, optionally with CUDA/GPU support.
 .
 relion-gui provides the graphical user interface without CUDA/GPU support.
