## relion 3.1.3

=== tests/CMakeLists.txt ===
add_executable(tests
		tests.cpp
	)

add_dependencies(tests relion_lib)
target_link_libraries(tests relion_lib)
target_link_libraries(tests ${FFTW_LIBRARIES})
target_link_libraries(tests ${TIFF_LIBRARIES})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

include_directories(tests PRIVATE ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
include_directories(tests PRIVATE ${FFTW_INCLUDES})

find_package(OpenMP)
if (OPENMP_FOUND)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
	set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif()
