=== src/jaz/gravis/io/CMakeLists.txt ===
add_subdirectory(array)
add_subdirectory(image)
add_subdirectory(mesh)

set( install_files
    mesh.h
    array.h
    )
INSTALL(FILES ${install_files} 
        DESTINATION
        ${CMAKE_INSTALL_PREFIX}/include/${LIBTITLE}-${LIBVERSION}/${LIBTITLE}/io)
