=== debian/changelog ===
relion (3.1.3-3) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 11:56:43 +0100

relion (3.1.3-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Team upload.
  * Cherry-pick upstream fixes related to cub.  (Closes: #995224)
  * Simplify debian/rules.
  * Fix missing hardening flags.
  * Build for Architecture: any.
  * Standards-Version: 4.6.1.
  * Fix some typos found by Lintian.

  [ Andreas Tille ]
  * Enable uscan to create a sensible download name

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Sep 2022 13:27:08 +0200

relion (3.1.3-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Mark autopkgtest superficial

 -- Andreas Tille <tille@debian.org>  Tue, 19 Oct 2021 09:16:04 +0200

relion (3.1.0-2) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update to Standards-Version: 4.5.0
  * Rename available binary packages, since MPI support is now default.
    The MPI enabled binaries carry a suffix _mpi, serial versions are still
    available.
  * Dropped librelion* packages. No shared libraries are created by relion
    anymore.
  * Add versions with CUDA/GPU support (these are in the Debian contrib
    archive area). They are named relion-cuda and relion-gui-cuda.
  * Moved to dep14 layout to work directly with the upstream git repo (see
    README.source in the source archive).
  * Added a simple autopkgtest

 -- Roland Fehrenbacher <rfehren@debian.org>  Tue, 29 Sep 2020 19:01:31 +0000
